Bug 1008473 - Review Request: perl-Class-Tiny - Minimalist class construction
Review Request: perl-Class-Tiny - Minimalist class construction
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Šabata
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1008407 1008809
  Show dependency treegraph
 
Reported: 2013-09-16 08:51 EDT by Jitka Plesnikova
Modified: 2013-09-26 20:49 EDT (History)
3 users (show)

See Also:
Fixed In Version: perl-Class-Tiny-0.009-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-26 20:49:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
psabata: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jitka Plesnikova 2013-09-16 08:51:16 EDT
Spec URL: http://jplesnik.fedorapeople.org/perl-Class-Tiny/perl-Class-Tiny.spec
SRPM URL: http://jplesnik.fedorapeople.org/perl-Class-Tiny/perl-Class-Tiny-0.008-1.fc21.src.rpm

Description: 
This module offers a minimalist class construction kit in around 120 lines
of code. Here is a list of features:

* defines attributes via import arguments
* generates read-write accessors
* supports lazy attribute defaults
* supports custom accessors
* superclass provides a standard new constructor
* new takes a hash reference or list of key/value pairs
* new has heuristics to catch constructor attribute typos
* new calls BUILD for each class from parent to child
* superclass provides a DESTROY method
* DESTROY calls DEMOLISH for each class from child to parent

Fedora Account System Username: jplesnik
Comment 1 Paul Howarth 2013-09-16 10:08:13 EDT
Since you're not including the dependencies for old Perls, you should probably BR: perl >= 5.14 rather than 5.8.1
Comment 2 Petr Šabata 2013-09-16 11:39:30 EDT
The package is fine except for the bit pointed out by Paul.
I'd suggest wrapping the dependency (both BR and the filter) in a condition checking for the version of perl available.
Comment 3 Paul Howarth 2013-09-16 11:54:10 EDT
My local build has this:

%if %(perl -e 'print $] < 5.014 ? 1 : 0;')
BuildRequires:  perl(Devel::GlobalDestruction)
%else
%global __requires_exclude ^perl\\(Devel::GlobalDestruction\\)
%endif

I have a similar condition for the Perl < 5.10 support but Class-Tiny seems to have issues there (https://github.com/dagolden/Class-Tiny/issues/8) and a test build of Pod-Spell 1.07 on 5.8.8 failed for me with an error that suggested it was a Class::Tiny problem, whilst 5.10 passed OK. So I'd be inclined not to even try to support Perl < 5.10 at the moment.
Comment 5 Petr Šabata 2013-09-16 12:43:05 EDT
Well, additional minimum perl depdency or Class::Tiny fixes could be added later if we hit the problems you're referring to.

I don't think that's a review blocker.
Approving.
Comment 6 Jitka Plesnikova 2013-09-17 02:14:06 EDT
New Package SCM Request
=======================
Package Name: perl-Class-Tiny
Short Description: Minimalist class construction
Owners: jplesnik ppisar psabata
Branches: f20
InitialCC: perl-sig
Comment 7 Gwyn Ciesla 2013-09-17 08:44:56 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2013-09-17 09:37:53 EDT
perl-Class-Tiny-0.008-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/perl-Class-Tiny-0.008-1.fc20
Comment 9 Paul Howarth 2013-09-17 09:46:40 EDT
Class-Tiny 0.009 is out now by the way.
Comment 10 Fedora Update System 2013-09-17 14:14:19 EDT
Package perl-Class-Tiny-0.008-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing perl-Class-Tiny-0.008-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-16942/perl-Class-Tiny-0.008-1.fc20
then log in and leave karma (feedback).
Comment 11 Fedora Update System 2013-09-18 02:37:46 EDT
perl-Class-Tiny-0.009-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/perl-Class-Tiny-0.009-1.fc20
Comment 12 Fedora Update System 2013-09-26 20:49:10 EDT
perl-Class-Tiny-0.009-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.